LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Public Attributes | List of all members
gap_state Struct Reference

Private state in get_gap_length(). More...

`#include <irrecord.h>`

## Public Attributes
struct lengths * | scan
struct lengths * | gaps
struct timeval | start
struct timeval | end
struct timeval | last
int | flag
int | maxcount
int | lastmaxcount
lirc_t | gap

## Detailed Description

Private state in get_gap_length().

Definition at line 185 of file irrecord.h.

## Member Data Documentation

## ◆ end

struct timeval gap_state::end

Definition at line 189 of file irrecord.h.

## ◆ flag

int gap_state::flag

Definition at line 191 of file irrecord.h.

## ◆ gap

lirc_t gap_state::gap

Definition at line 194 of file irrecord.h.

## ◆ gaps

struct lengths* gap_state::gaps

Definition at line 187 of file irrecord.h.

## ◆ last

struct timeval gap_state::last

Definition at line 190 of file irrecord.h.

## ◆ lastmaxcount

int gap_state::lastmaxcount

Definition at line 193 of file irrecord.h.

## ◆ maxcount

int gap_state::maxcount

Definition at line 192 of file irrecord.h.

## ◆ scan

struct lengths* gap_state::scan

Definition at line 186 of file irrecord.h.

## ◆ start

struct timeval gap_state::start

Definition at line 188 of file irrecord.h.

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_sysutils_lirc/lirc/work/lirc-0.10.2/lib/irrecord.h